Horde, PHP and ISConfig 2.2.32

Discussion in 'Tips/Tricks/Mods' started by mcaramb, Jun 23, 2009.

  1. mcaramb

    mcaramb New Member


    Trying to install Horde Groupware Webmail Edition with ISPConfig 2.2.32 on a Centos 5.3 machine. Although PHP 5.2.9 was installed with ISPConfig, it wasn't compiled with the gettext or gd option, which apparently is needed for this version of Horde as indicated by the error message I see when I try and run the test.php script.

    I would prefer not to have two versions of PHP installed, and I am putting Horde under my /home/admisconfig/ispconfig/web/ folder. Thus, I believe the correct path in the browser would be: https://www.mydomain.com:81/horde

    It tries to run, but tells me I need php compiled with gettext and gd.

    I would prefer to re-run the ./setup for ISPConfig with an option to compile PHP with gettext and gd, rather than pulling my configure line from phpinfo and reinstalling from the php configure directly.

    Is there a config file in the ISPConfig installation folder I can alter?

    Am I barking up the wrong tree here?


  2. Mark_NL

    Mark_NL New Member

    SO you're running the webmail on the same apache instance which runs the ispconfig administration software, i'd not recommend that tbh.

    anyway, you can always do this:

    - extract the the ispconfig tarball again
    - go to the folder: compile_aps
    - open the file "compile"
    - edit line 144
    - reinstall ISPConfig.

    Just remember that when you add configuration parameters yourself (the default ones are checked for by the compile script), you need to be sure that php will configure properly.

    happy compiling!

Share This Page